/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-06-26 16:27:34 UTC)
 * on 2013-07-15 at 19:56:22 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.adexchangebuyer.model;

/**
 * A direct deals feed lists Direct Deals the Ad Exchange buyer account has access to. This includes
 * direct deals set up for the buyer account as well as its merged stream seats.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Ad Exchange Buyer API. For a detailed explanation
 * see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class DirectDealsList extends com.google.api.client.json.GenericJson {

  /**
   * A list of direct deals relevant for your account.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<DirectDeal> directDeals;

  /**
   * Resource type.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String kind;

  /**
   * A list of direct deals relevant for your account.
   * @return value or {@code null} for none
   */
  public java.util.List<DirectDeal> getDirectDeals() {
    return directDeals;
  }

  /**
   * A list of direct deals relevant for your account.
   * @param directDeals directDeals or {@code null} for none
   */
  public DirectDealsList setDirectDeals(java.util.List<DirectDeal> directDeals) {
    this.directDeals = directDeals;
    return this;
  }

  /**
   * Resource type.
   * @return value or {@code null} for none
   */
  public java.lang.String getKind() {
    return kind;
  }

  /**
   * Resource type.
   * @param kind kind or {@code null} for none
   */
  public DirectDealsList setKind(java.lang.String kind) {
    this.kind = kind;
    return this;
  }

  @Override
  public DirectDealsList set(String fieldName, Object value) {
    return (DirectDealsList) super.set(fieldName, value);
  }

  @Override
  public DirectDealsList clone() {
    return (DirectDealsList) super.clone();
  }

}
